Index: issm/branches/trunk-jpl-damage/src/modules/InterpFromMeshToMesh2d/InterpFromMeshToMesh2d.cpp
===================================================================
--- issm/branches/trunk-jpl-damage/src/modules/InterpFromMeshToMesh2d/InterpFromMeshToMesh2d.cpp	(revision 12877)
+++ issm/branches/trunk-jpl-damage/src/modules/InterpFromMeshToMesh2d/InterpFromMeshToMesh2d.cpp	(revision 12878)
@@ -7,28 +7,17 @@
 WRAPPER(InterpFromMeshToMesh2d){
 
-	/*input: */
-	double* index=NULL;
-	int     index_cols;
-	double* x_data=NULL;
-	int     x_data_rows;
-	double* y_data=NULL;
-	int     y_data_rows;
-	double* data=NULL; 
-	int     data_rows;
-	int     data_cols;
-	double* x_interp=NULL;
-	int     x_interp_rows;
-	double* y_interp=NULL;
-	int     y_interp_rows;
-	char*   contourname=NULL;
-	double* default_values=NULL;
-	int     num_default_values=0;
-	DataSet *contours = NULL;
-
-	/*Intermediary*/
-	int nels_data;
-
-	/* output: */
-	double* data_interp=NULL;
+	/*Intermediaties*/
+	int     *index              = NULL;
+	double  *x_data             = NULL;
+	double  *y_data             = NULL;
+	double  *data               = NULL;
+	int      nods_data,nels_data;
+	int      M_data,N_data;
+	double  *x_interp           = NULL;
+	double  *y_interp           = NULL;
+	int      N_interp;
+	Options *options   = NULL;
+	double  *data_interp = NULL;
+	int      test1,test2,test;
 
 	/*Boot module: */
@@ -39,50 +28,27 @@
 	if(nlhs!=NLHS){
 		InterpFromMeshToMesh2dUsage();
-		_error_("InterpFromMeshToMesh2dUsage usage error");
+		_error2_("InterpFromMeshToMesh2dUsage usage error");
 	}
 	#endif
 	/*check on input arguments: */
-	if((nrhs!=6) & (nrhs!=8)){
+	if(nrhs<NRHS){
 		InterpFromMeshToMesh2dUsage();
-		_error_("InterpFromMeshToMesh2dUsage usage error");
+		_error2_("InterpFromMeshToMesh2dUsage usage error");
 	}
 
-	/*Input datasets: */
-	FetchData(&index,&nels_data,&index_cols,INDEX);
-	FetchData(&x_data,&x_data_rows,NULL,X);
-	FetchData(&y_data,&y_data_rows,NULL,Y);
-	FetchData(&data,&data_rows,&data_cols,DATA);
-	FetchData(&x_interp,&x_interp_rows,XINTERP);
-	FetchData(&y_interp,&y_interp_rows,YINTERP);
+	/*Fetch inputs: */
+	FetchData(&index,&nels_data,&test,INDEX); if(test!=3) _error2_("index should have 3 columns");
+	FetchData(&x_data,&nods_data,X);          if(nods_data<3) _error2_("there should be at least three points");
+	FetchData(&y_data,&test,Y);               if(test!=nods_data) _error2_("vectors x and y should have the same length");
+	FetchData(&data,&M_data,&N_data,DATA);    if(M_data*N_data<1) _error2_("data is empty");
+	FetchData(&x_interp,&N_interp,XINTERP);   if(N_interp<1) _error2_("no interpolation requested");
+	FetchData(&y_interp,&test,YINTERP);       if(test!=N_interp) _error2_("vectors x_interp and y_interp should have the same length");
+	FetchData(&options,NRHS,nrhs,ARGUMENTS);
 
-	/*Figure out contours and default values: */
-	if(nrhs==8){
-		FetchData(&default_values,&num_default_values,DEFAULT);
-		FetchData(&contourname,CONTOURNAME);
-		contours=DomainOutlineRead(contourname);
-	}
-	else{
-		num_default_values=0;
-		default_values=NULL;
-		contours=new DataSet();
-	}
-
-
-	/*some checks*/
-	if (x_data_rows!=y_data_rows){
-		_error_("vectors x and y should have the same length!");
-	}
-	if (x_interp_rows!=y_interp_rows){
-		_error_("vectors x_interp and y_interp should have the same length!");
-	}
-	if (index_cols!=3){
-		_error_("index should have 3 columns (input provided has %i columns)",index_cols);
-	}
-
-	/* Run core computations: */
-	InterpFromMeshToMesh2dx(&data_interp,index,x_data,y_data,x_data_rows,nels_data,data,data_rows,data_cols,x_interp,y_interp,x_interp_rows,default_values,num_default_values,contours);
+	/*Run core computations*/
+	InterpFromMeshToMesh2dx(&data_interp,index,x_data,y_data,nods_data,nels_data,data,M_data,N_data,x_interp,y_interp,N_interp,options);
 
 	/*Write data: */
-	WriteData(DATAINTERP,data_interp,x_interp_rows,data_cols);
+	WriteData(DATAINTERP,data_interp,N_interp,N_data);
 
 	/*end module: */
@@ -90,30 +56,27 @@
 }
 
-void InterpFromMeshToMesh2dUsage(void)//{{{1
-
-{
-	_printf_(true,"INTERFROMMESHTOMESH2D - interpolation from a 2d triangular mesh onto a list of point\n");
-	_printf_(true,"\n");
-	_printf_(true,"   This function is a multi-threaded mex file that interpolates a field\n");
-	_printf_(true,"   defined on a triangular mesh onto a list of point\n");
-	_printf_(true,"\n");
-	_printf_(true,"   Usage:\n");
-	_printf_(true,"         data_interp=InterpFromMeshToMesh2d(index,x,y,data,x_interp,y_interp);\n");
-	_printf_(true,"      or data_interp=InterpFromMeshToMesh2d(index,x,y,data,x_interp,y_interp,default_value,contourname);\n");
-	_printf_(true,"\n");
-	_printf_(true,"      index: index of the mesh where data is defined\n");
-	_printf_(true,"      x,y: coordinates of the nodes where data is defined\n");
-	_printf_(true,"      data: matrix holding the data to be interpolated onto the mesh. (one column per field)\n");
-	_printf_(true,"      x_interp,y_interp: coordinates of the points onto which we interpolate.\n");
-	_printf_(true,"      if default_value and contourname not specified: linear interpolation will happen on all x_interp,y_interp.\n");
-	_printf_(true,"      if (default_value,contourname) specified: linear interpolation will happen on all x_interp,y_interp inside the contour, default value will be adopted on the rest of the mesh.\n");
-	_printf_(true,"      note that default_value is either a scalar, or a vector of size  length(x_interp)\n");
-	_printf_(true,"      data_interp: vector of mesh interpolated data.\n");
-	_printf_(true,"\n");
-	_printf_(true,"   Example:\n");
-	_printf_(true,"      load('temperature.mat');\n");
-	_printf_(true,"      md.initialization.temperature=InterpFromMeshToMesh2d(index,x,y,temperature,md.mesh.x,md.mesh.y);\n");
-	_printf_(true,"      md.initialization.temperature=InterpFromMeshToMesh2d(index,x,y,temperature,md.mesh.x,md.mesh.y,253,'Contour.exp');\n");
-	_printf_(true,"\n");
+void InterpFromMeshToMesh2dUsage(void){ /*{{{*/
+	_pprintLine_("INTERFROMMESHTOMESH2D - interpolation from a 2d triangular mesh onto a list of point");
+	_pprintLine_("");
+	_pprintLine_("   This function is a multi-threaded mex file that interpolates a field");
+	_pprintLine_("   defined on a Delaunay triangulation onto a list of point");
+	_pprintLine_("");
+	_pprintLine_("   Usage:");
+	_pprintLine_("         data_interp=InterpFromMeshToMesh2d(index,x,y,data,x_interp,y_interp);");
+	_pprintLine_("      or data_interp=InterpFromMeshToMesh2d(index,x,y,data,x_interp,y_interp,OPTIONS);");
+	_pprintLine_("");
+	_pprintLine_("      index             : index of the mesh where data is defined");
+	_pprintLine_("      x,y               : coordinates of the nodes where data is defined");
+	_pprintLine_("      data              : matrix holding the data to be interpolated onto the mesh. (one column per field)");
+	_pprintLine_("      x_interp,y_interp : coordinates of the points onto which we interpolate.");
+	_pprintLine_("      data_interp       : vector of mesh interpolated data.");
+	_pprintLine_("      Available options :");
+	_pprintLine_("         - 'default' : default value if point is outsite of triangulation (instead of linear interolation)");
+	_pprintLine_("");
+	_pprintLine_("   Example:");
+	_pprintLine_("      load('temperature.mat');");
+	_pprintLine_("      md.initialization.temperature=InterpFromMeshToMesh2d(index,x,y,temperature,md.mesh.x,md.mesh.y);");
+	_pprintLine_("      md.initialization.temperature=InterpFromMeshToMesh2d(index,x,y,temperature,md.mesh.x,md.mesh.y,'default',253);");
+	_pprintLine_("");
 }
-//}}}
+/*}}}*/
Index: issm/branches/trunk-jpl-damage/src/modules/InterpFromMeshToMesh2d/InterpFromMeshToMesh2d.h
===================================================================
--- issm/branches/trunk-jpl-damage/src/modules/InterpFromMeshToMesh2d/InterpFromMeshToMesh2d.h	(revision 12877)
+++ issm/branches/trunk-jpl-damage/src/modules/InterpFromMeshToMesh2d/InterpFromMeshToMesh2d.h	(revision 12878)
@@ -12,5 +12,8 @@
 #endif
 
-/*Very important definition in case we are compiling a python module!: needs to come before header files inclusion*/
+/* local prototypes: */
+void InterpFromMeshToMesh2dUsage(void);
+
+/*If python: this macro needs to come before header files inclusion*/
 #ifdef _HAVE_PYTHON_
 #define PY_ARRAY_UNIQUE_SYMBOL PythonIOSymbol
@@ -28,4 +31,7 @@
 #include "../../c/EnumDefinitions/EnumDefinitions.h"
 
+#undef __FUNCT__ 
+#define __FUNCT__  "InterpFromMeshToMesh2d"
+
 #ifdef _HAVE_MATLAB_MODULES_
 /* serial input macros: */
@@ -36,6 +42,5 @@
 #define XINTERP prhs[4]
 #define YINTERP prhs[5]
-#define DEFAULT prhs[6]
-#define CONTOURNAME prhs[7]
+#define ARGUMENTS prhs
 
 /* serial output macros: */
@@ -51,12 +56,9 @@
 #define XINTERP PyTuple_GetItem(args,4)
 #define YINTERP PyTuple_GetItem(args,5)
-#define DEFAULT PyTuple_GetItem(args,6)
-#define CONTOURNAME PyTuple_GetItem(args,7)
+#define ARGUMENTS args
+
 /* serial output macros: */
 #define DATAINTERP output,0
 #endif
-
-#undef __FUNCT__ 
-#define __FUNCT__  "InterpFromMeshToMesh2d"
 
 /* serial arg counts: */
@@ -64,8 +66,5 @@
 #define NLHS  1
 #undef NRHS
-#define NRHS  6 //can be 8 though
-
-/* local prototypes: */
-void InterpFromMeshToMesh2dUsage(void);
+#define NRHS  6
 
 #endif
Index: issm/branches/trunk-jpl-damage/src/modules/InterpFromMeshToMesh3d/InterpFromMeshToMesh3d.cpp
===================================================================
--- issm/branches/trunk-jpl-damage/src/modules/InterpFromMeshToMesh3d/InterpFromMeshToMesh3d.cpp	(revision 12877)
+++ issm/branches/trunk-jpl-damage/src/modules/InterpFromMeshToMesh3d/InterpFromMeshToMesh3d.cpp	(revision 12878)
@@ -76,8 +76,8 @@
 	/*some checks*/
 	if (x_data_rows!=y_data_rows || x_data_rows!=z_data_rows){
-		_error_("vectors x, y and z should have the same length!");
+		_error2_("vectors x, y and z should have the same length!");
 	}
 	if (x_prime_rows!=y_prime_rows || x_prime_rows!=z_prime_rows){
-		_error_("vectors x_prime, y_prime and z_prime should have the same length!");
+		_error2_("vectors x_prime, y_prime and z_prime should have the same length!");
 	}
 	/*get number of elements and number of nodes in the data*/
@@ -98,22 +98,22 @@
 void InterpFromMeshToMesh3dUsage(void)
 {
-	_printf_(true,"INTERPFROMMESHTOMESH3D - interpolation from a 3d hexahedron mesh onto a list of point\n");
-	_printf_(true,"\n");
-	_printf_(true,"   This function is a multi-threaded mex file that interpolates a field\n");
-	_printf_(true,"   defined on a triangular mesh onto a list of point\n");
-	_printf_(true,"\n");
-	_printf_(true,"   Usage:\n");
-	_printf_(true,"      data_prime=InterpFromMeshToMesh3d(index,x,y,z,data,x_prime,y_prime,z_prime,default_value);\n");
-	_printf_(true,"\n");
-	_printf_(true,"      index: index of the mesh where data is defined\n");
-	_printf_(true,"      x,y,z: coordinates of the nodes where data is defined\n");
-	_printf_(true,"      data: matrix holding the data to be interpolated onto the mesh.\n");
-	_printf_(true,"      x_prime,y_prime,z_prime: coordinates of the points onto which we interpolate.\n");
-	_printf_(true,"      default_value: default value if no data is found (holes).\n");
-	_printf_(true,"      data_prime: vector of mesh interpolated data.\n");
-	_printf_(true,"\n");
-	_printf_(true,"   Example:\n");
-	_printf_(true,"      load('temperature.mat');\n");
-	_printf_(true,"      md.initialization.temperature=InterpFromMeshToMesh3d(index,x,y,z,temperature,md.mesh.x,md.mesh.y,md.mesh.z,253);\n");
-	_printf_(true,"\n");
+	_pprintLine_("INTERPFROMMESHTOMESH3D - interpolation from a 3d hexahedron mesh onto a list of point");
+	_pprintLine_("");
+	_pprintLine_("   This function is a multi-threaded mex file that interpolates a field");
+	_pprintLine_("   defined on a triangular mesh onto a list of point");
+	_pprintLine_("");
+	_pprintLine_("   Usage:");
+	_pprintLine_("      data_prime=InterpFromMeshToMesh3d(index,x,y,z,data,x_prime,y_prime,z_prime,default_value);");
+	_pprintLine_("");
+	_pprintLine_("      index: index of the mesh where data is defined");
+	_pprintLine_("      x,y,z: coordinates of the nodes where data is defined");
+	_pprintLine_("      data: matrix holding the data to be interpolated onto the mesh.");
+	_pprintLine_("      x_prime,y_prime,z_prime: coordinates of the points onto which we interpolate.");
+	_pprintLine_("      default_value: default value if no data is found (holes).");
+	_pprintLine_("      data_prime: vector of mesh interpolated data.");
+	_pprintLine_("");
+	_pprintLine_("   Example:");
+	_pprintLine_("      load('temperature.mat');");
+	_pprintLine_("      md.initialization.temperature=InterpFromMeshToMesh3d(index,x,y,z,temperature,md.mesh.x,md.mesh.y,md.mesh.z,253);");
+	_pprintLine_("");
 }
Index: issm/branches/trunk-jpl-damage/src/modules/KMLFileRead/KMLFileRead.cpp
===================================================================
--- issm/branches/trunk-jpl-damage/src/modules/KMLFileRead/KMLFileRead.cpp	(revision 12877)
+++ issm/branches/trunk-jpl-damage/src/modules/KMLFileRead/KMLFileRead.cpp	(revision 12878)
@@ -45,8 +45,8 @@
 	/*checks on arguments on the matlab side: */
 	if (nlhs > NLHS) {
-		KMLFileReadUsage(); _error_("KMLFileRead usage error");
+		KMLFileReadUsage(); _error2_("KMLFileRead usage error");
 	}
 	if (nrhs < NRHS) {
-		KMLFileReadUsage(); _error_("KMLFileRead usage error");
+		KMLFileReadUsage(); _error2_("KMLFileRead usage error");
 	}
 
@@ -63,12 +63,12 @@
 	if (!strlen(filnam)) strcpy(filnam,"stdout");
 
-	if (verbose) printf("Opening file \"%s\".\n",filnam);
+	if (verbose) _printLine_("Opening file \"" << filnam << "\".");
 	fidi=fopen(filnam,"r");
 
 	/* Run core computations: */
-	if (verbose) printf("Calling core:\n");
+	if (verbose) _printLine_("Calling core:");
 	kobj=KMLFileReadx(fidi);
 
-	if (verbose) printf("Closing file \"%s\".\n",filnam);
+	if (verbose) _printLine_("Closing file \"" << filnam << "\".");
 	fclose(fidi);
 
@@ -83,8 +83,8 @@
 			}
 			else {
-				if (verbose) printf("Opening file \"%s\".\n",write);
+				if (verbose) _printLine_("Opening file \"" << write << "\".");
 				fido=fopen(write,"w");
 				kobj->Write(fido,"");
-				if (verbose) printf("Closing file \"%s\".\n",write);
+				if (verbose) _printLine_("Closing file \"" << write << "\".");
 				ierror=fclose(fido);
 			}
@@ -107,23 +107,23 @@
 
 void KMLFileReadUsage(void){
-	_printf_(true,"KMLFileRead - KML file reader module:\n");
-	_printf_(true,"\n");
-	_printf_(true,"   This module reads a KML file.\n");
-	_printf_(true,"\n");
-	_printf_(true,"   Usage:\n");
-	_printf_(true,"      [ierror]=KMLFileRead(kmlfile,'param name',param,...);\n");
-	_printf_(true,"\n");
-	_printf_(true,"      kmlfile      file name of kml file to be read (char)\n");
-	_printf_(true,"\n");
-	_printf_(true,"      echo         echo command (char, optional, 'off'/'on')\n");
-	_printf_(true,"      deepecho     deep echo command (char, optional, 'off'/'on')\n");
-	_printf_(true,"      write        write command (char, optional, 'off'/'stdout'/kmlfile)\n");
-	_printf_(true,"\n");
-	_printf_(true,"      ierror       return code (non-zero for error)\n");
-	_printf_(true,"\n");
-	_printf_(true,"   Examples:\n");
-	_printf_(true,"      [ierror]=KMLFileRead('file.kml','deepecho','on');\n");
-	_printf_(true,"      [ierror]=KMLFileRead('filin.kml','echo','on','write','filout.kml');\n");
-	_printf_(true,"\n");
+	_pprintLine_("KMLFileRead - KML file reader module:");
+	_pprintLine_("");
+	_pprintLine_("   This module reads a KML file.");
+	_pprintLine_("");
+	_pprintLine_("   Usage:");
+	_pprintLine_("      [ierror]=KMLFileRead(kmlfile,'param name',param,...);");
+	_pprintLine_("");
+	_pprintLine_("      kmlfile      file name of kml file to be read (char)");
+	_pprintLine_("");
+	_pprintLine_("      echo         echo command (char, optional, 'off'/'on')");
+	_pprintLine_("      deepecho     deep echo command (char, optional, 'off'/'on')");
+	_pprintLine_("      write        write command (char, optional, 'off'/'stdout'/kmlfile)");
+	_pprintLine_("");
+	_pprintLine_("      ierror       return code (non-zero for error)");
+	_pprintLine_("");
+	_pprintLine_("   Examples:");
+	_pprintLine_("      [ierror]=KMLFileRead('file.kml','deepecho','on');");
+	_pprintLine_("      [ierror]=KMLFileRead('filin.kml','echo','on','write','filout.kml');");
+	_pprintLine_("");
 }
 
Index: issm/branches/trunk-jpl-damage/src/modules/KMLMeshWrite/KMLMeshWrite.cpp
===================================================================
--- issm/branches/trunk-jpl-damage/src/modules/KMLMeshWrite/KMLMeshWrite.cpp	(revision 12877)
+++ issm/branches/trunk-jpl-damage/src/modules/KMLMeshWrite/KMLMeshWrite.cpp	(revision 12878)
@@ -40,8 +40,8 @@
 	/*checks on arguments on the matlab side: */
 	if (nlhs > NLHS) {
-		KMLMeshWriteUsage(); _error_("KMLMeshWrite usage error");
+		KMLMeshWriteUsage(); _error2_("KMLMeshWrite usage error");
 	}
 	if (nrhs < NRHS) {
-		KMLMeshWriteUsage(); _error_("KMLMeshWrite usage error");
+		KMLMeshWriteUsage(); _error2_("KMLMeshWrite usage error");
 	}
 
@@ -87,15 +87,15 @@
 
 	if (nodecon && (mncon != nnodes))
-		_error_("Nodal connectivity table, if supplied, must be supplied for all nodes.");
+	  {_error2_("Nodal connectivity table, if supplied, must be supplied for all nodes.");}
 	else if (!nodecon)
 		mncon=nnodes;
 	if ((llat != nnodes) || (llng != nnodes) || (llat != llng))
-		_error_("Latitude and longitude vectors must be supplied for all nodes.");
+		_error2_("Latitude and longitude vectors must be supplied for all nodes.");
 	if (part && (lprt != nnodes))
-		_error_("Partitioning vector, if supplied, must be supplied for all nodes.");
+		_error2_("Partitioning vector, if supplied, must be supplied for all nodes.");
 	if (data && !((mdata == nnodes) || (mdata == melem)))
-		_error_("Data matrix, if supplied, must be supplied for all nodes or all elements.");
+		_error2_("Data matrix, if supplied, must be supplied for all nodes or all elements.");
 	if (cmap && (ncmap != 3))
-		_error_("Colormap matrix, if supplied, must have three columns for rgb.");
+		_error2_("Colormap matrix, if supplied, must have three columns for rgb.");
 	if (!strlen(filnam))
 		strcpy(filnam,"stdout");
@@ -118,26 +118,26 @@
 
 void KMLMeshWriteUsage(void){
-	_printf_(true,"KMLMeshWrite - KML mesh writer module:\n");
-	_printf_(true,"\n");
-	_printf_(true,"   This module writes the mesh of a model as KML polygons into the specified KML file.\n");
-	_printf_(true,"\n");
-	_printf_(true,"   Usage:\n");
-	_printf_(true,"      ierror=KMLMeshWrite(name,notes,elem,nodecon,lat,long,part,data,cmap,kmlfile);\n");
-	_printf_(true,"\n");
-	_printf_(true,"      name       model name (string, may be empty)\n");
-	_printf_(true,"      notes      model notes (string or cell array of strings, may be empty)\n");
-	_printf_(true,"      elem       elements (double array)\n");
-	_printf_(true,"      nodecon    nodal connectivity array (double array, may be empty)\n");
-	_printf_(true,"      lat        nodal latititudes (double vector)\n");
-	_printf_(true,"      long       nodal longitudes (double vector)\n");
-	_printf_(true,"      part       nodal partitions (double vector, may be empty)\n");
-	_printf_(true,"      data       nodal or element data (double vector, may be empty)\n");
-	_printf_(true,"      cmap       color map (double nx3 array, may be empty)\n");
-	_printf_(true,"      kmlfile    KML file name (string)\n");
-	_printf_(true,"\n");
-	_printf_(true,"      ierror     error flag (double, non-zero for error)\n");
-	_printf_(true,"\n");
-	_printf_(true,"   Example:\n");
-	_printf_(true,"      KMLMeshWrite(md.name,md.notes,md.elements,md.nodeconnectivity,md.lat,md.long,md.part,md.fm_criterion,options.cmap,filekml);\n");
-	_printf_(true,"\n");
+	_pprintLine_("KMLMeshWrite - KML mesh writer module:");
+	_pprintLine_("");
+	_pprintLine_("   This module writes the mesh of a model as KML polygons into the specified KML file.");
+	_pprintLine_("");
+	_pprintLine_("   Usage:");
+	_pprintLine_("      ierror=KMLMeshWrite(name,notes,elem,nodecon,lat,long,part,data,cmap,kmlfile);");
+	_pprintLine_("");
+	_pprintLine_("      name       model name (string, may be empty)");
+	_pprintLine_("      notes      model notes (string or cell array of strings, may be empty)");
+	_pprintLine_("      elem       elements (double array)");
+	_pprintLine_("      nodecon    nodal connectivity array (double array, may be empty)");
+	_pprintLine_("      lat        nodal latititudes (double vector)");
+	_pprintLine_("      long       nodal longitudes (double vector)");
+	_pprintLine_("      part       nodal partitions (double vector, may be empty)");
+	_pprintLine_("      data       nodal or element data (double vector, may be empty)");
+	_pprintLine_("      cmap       color map (double nx3 array, may be empty)");
+	_pprintLine_("      kmlfile    KML file name (string)");
+	_pprintLine_("");
+	_pprintLine_("      ierror     error flag (double, non-zero for error)");
+	_pprintLine_("");
+	_pprintLine_("   Example:");
+	_pprintLine_("      KMLMeshWrite(md.name,md.notes,md.elements,md.nodeconnectivity,md.lat,md.long,md.part,md.fm_criterion,options.cmap,filekml);");
+	_pprintLine_("");
 }
Index: issm/branches/trunk-jpl-damage/src/modules/KMLOverlay/KMLOverlay.cpp
===================================================================
--- issm/branches/trunk-jpl-damage/src/modules/KMLOverlay/KMLOverlay.cpp	(revision 12877)
+++ issm/branches/trunk-jpl-damage/src/modules/KMLOverlay/KMLOverlay.cpp	(revision 12878)
@@ -31,8 +31,8 @@
 	/*checks on arguments on the matlab side: */
 	if(nlhs>NLHS){
-		KMLOverlayUsage(); _error_("KMLOverlay usage error");
+		KMLOverlayUsage(); _error2_("KMLOverlay usage error");
 	}
 	if(nrhs<NRHS){
-		KMLOverlayUsage(); _error_("KMLOverlay usage error");
+		KMLOverlayUsage(); _error2_("KMLOverlay usage error");
 	}
 
@@ -42,16 +42,16 @@
 
 	options->Get(&lataxis ,&nlat ,"lataxis" );
-	if (verbose && lataxis) for (i=0; i<nlat; i++) printf("  lataxis [%d]=%g\n",i,lataxis[i]);
+	if (verbose && lataxis) for (i=0; i<nlat; i++) _printLine_("  lataxis [" << i << "]=" << lataxis[i]);
 	options->Get(&longaxis,&nlong,"longaxis");
-	if (verbose && longaxis) for (i=0; i<nlong; i++) printf("  longaxis[%d]=%g\n",i,longaxis[i]);
+	if (verbose && longaxis) for (i=0; i<nlong; i++) _printLine_("  longaxis[" << i << "]=" << longaxis[i]);
 	options->Get(&pimages,&nimages,"images");
-	if (verbose && pimages) for (i=0; i<nimages; i++) printf("  pimages[%d]=\"%s\"\n",i,pimages[i]);
+	if (verbose && pimages) for (i=0; i<nimages; i++) _printLine_("  pimages[" << i << "]=\"" << pimages[i] << "\"");
 	options->Get(&dzip,"zip",0.);
-	if (verbose) printf("  dzip=%g\n",dzip);
+	if (verbose) _printLine_("  dzip=" << dzip);
 
 	/*some checks*/
-	if (nlat !=2) _error_("Latitudinal axes \"lataxis\" require two double values, not %d.",nlat);
-	if (nlong!=2) _error_("Longitudinal axes \"longaxis\" require two double values, not %d.",nlong);
-	if (!nimages) _error_("No image files provided.");
+	if (nlat !=2) _error2_("Latitudinal axes \"lataxis\" require two double values, not " << nlat << ".");
+	if (nlong!=2) _error2_("Longitudinal axes \"longaxis\" require two double values, not " << nlong << ".");
+	if (!nimages) _error2_("No image files provided.");
 
 	if ((int)dzip){
@@ -63,12 +63,12 @@
 	if(!strlen(filkml)) strcpy(filkml,"stdout");
 
-	if(verbose) printf("Opening kml overlay file \"%s\".\n",filkml);
+	if(verbose) _printLine_("Opening kml overlay file \"" << filkml << "\".");
 	fid=fopen(filkml,"w");
 
 	/* Run core computations: */
-	if (verbose) printf("Calling core:\n");
+	if (verbose) _printLine_("Calling core:");
 	KMLOverlayx(&ierror,lataxis,longaxis,nimages,pimages,fid);
 
-	if (verbose) printf("Closing file \"%s\".\n",filkml);
+	if (verbose) _printLine_("Closing file \"" << filkml << "\".");
 	fclose(fid);
 
@@ -87,8 +87,8 @@
 				strcat(czip,pimages[i]);
 			}
-		if (verbose) printf("Zipping file \"%s\".\n",filkmz);
-		if (verbose) printf("%s\n",czip);
+		if (verbose) _printLine_("Zipping file \"" << filkmz << "\".");
+		if (verbose) _printLine_(czip);
 
-		if (mexEvalString(czip)) _error_("Error zipping file \"%s\".",filkmz);
+		if (mexEvalString(czip)) _error2_("Error zipping file \"" << filkmz << "\".");
 		xfree((void**)&czip);
 		xfree((void**)&filkmz);
@@ -113,22 +113,22 @@
 
 void KMLOverlayUsage(void){
-	_printf_(true,"KMLOverlay - KML file overlay module:\n");
-	_printf_(true,"\n");
-	_printf_(true,"   This module reads a list of image files and writes a KML or KMZ overlay file.\n");
-	_printf_(true,"\n");
-	_printf_(true,"   Usage:\n");
-	_printf_(true,"      ierror=KMLOverlay(kmlfile,'param name',param,...);\n");
-	_printf_(true,"\n");
-	_printf_(true,"      kmlfile     KML or KMZ file name (string)\n");
-	_printf_(true,"\n");
-	_printf_(true,"      lataxis     latitude axis (double vector [south north], required)\n");
-	_printf_(true,"      longaxis    longitude axis (double vector [west east], required)\n");
-	_printf_(true,"      images      relative or http image file names (string or array of strings or cell array of strings, required)\n");
-	_printf_(true,"      zip         flag to zip the doc.kml and image files into kmzfile (double, non-zero for kmz)\n");
-	_printf_(true,"\n");
-	_printf_(true,"      ierror     error flag (double, non-zero for error)\n");
-	_printf_(true,"\n");
-	_printf_(true,"   Example:\n");
-	_printf_(true,"      KMLOverlay(kmlfile,'lataxis',[south north],'longaxis',[west east],'images',{'file1.png','http://issm/file2.png'},'zip',1);\n");
-	_printf_(true,"\n");
+	_pprintLine_("KMLOverlay - KML file overlay module:");
+	_pprintLine_("");
+	_pprintLine_("   This module reads a list of image files and writes a KML or KMZ overlay file.");
+	_pprintLine_("");
+	_pprintLine_("   Usage:");
+	_pprintLine_("      ierror=KMLOverlay(kmlfile,'param name',param,...);");
+	_pprintLine_("");
+	_pprintLine_("      kmlfile     KML or KMZ file name (string)");
+	_pprintLine_("");
+	_pprintLine_("      lataxis     latitude axis (double vector [south north], required)");
+	_pprintLine_("      longaxis    longitude axis (double vector [west east], required)");
+	_pprintLine_("      images      relative or http image file names (string or array of strings or cell array of strings, required)");
+	_pprintLine_("      zip         flag to zip the doc.kml and image files into kmzfile (double, non-zero for kmz)");
+	_pprintLine_("");
+	_pprintLine_("      ierror     error flag (double, non-zero for error)");
+	_pprintLine_("");
+	_pprintLine_("   Example:");
+	_pprintLine_("      KMLOverlay(kmlfile,'lataxis',[south north],'longaxis',[west east],'images',{'file1.png','http://issm/file2.png'},'zip',1);");
+	_pprintLine_("");
 }
Index: issm/branches/trunk-jpl-damage/src/modules/Kml2Exp/Kml2Exp.cpp
===================================================================
--- issm/branches/trunk-jpl-damage/src/modules/Kml2Exp/Kml2Exp.cpp	(revision 12877)
+++ issm/branches/trunk-jpl-damage/src/modules/Kml2Exp/Kml2Exp.cpp	(revision 12878)
@@ -22,8 +22,8 @@
 	/*checks on arguments on the matlab side: */
 	if (nlhs > NLHS) {
-		Kml2ExpUsage(); _error_("Kml2Exp usage error");
+		Kml2ExpUsage(); _error2_("Kml2Exp usage error");
 	}
 	if (nrhs < NRHS) {
-		Kml2ExpUsage(); _error_("Kml2Exp usage error");
+		Kml2ExpUsage(); _error2_("Kml2Exp usage error");
 	}
 
@@ -37,13 +37,13 @@
 	if (options->GetOption("central_meridian") || options->GetOption("standard_parallel")) {
 		options->Get(&cm,"central_meridian");
-		if (verbose) printf("  cm=%g\n",cm);
+		if (verbose) _printLine_("  cm=" << cm);
 		options->Get(&sp,"standard_parallel");
-		if (verbose) printf("  sp=%g\n",sp);
+		if (verbose) _printLine_("  sp=" << sp);
 	}
 
 	/*some checks*/
-	if (sgn !=+1 && sgn!= -1) _error_("Hemisphere sgn=%d must be +1 (north) or -1 (south).",sgn);
-	if (fabs(cm)      > 180.) _error_("Central meridian cm=%g must be between -180 (west) and +180 (east) degrees.",cm);
-	if (sp < 0. || sp >  90.) _error_("Standard parallel sp=%g must be between 0 and 90 degrees (in specified hemisphere).",sp);
+	if (sgn !=+1 && sgn!= -1) _error2_("Hemisphere sgn=" << sgn << " must be +1 (north) or -1 (south).");
+	if (fabs(cm)      > 180.) _error2_("Central meridian cm=" << cm << " must be between -180 (west) and +180 (east) degrees.");
+	if (sp < 0. || sp >  90.) _error2_("Standard parallel sp=" << sp << " must be between 0 and 90 degrees (in specified hemisphere).");
 
 	/* Run core computations: */
@@ -66,25 +66,25 @@
 
 void Kml2ExpUsage(void){
-	_printf_(true,"Kml2Exp - kml to exp file conversion module:\n");
-	_printf_(true,"\n");
-	_printf_(true,"   This module converts a file from kml to exp format.\n");
-	_printf_(true,"\n");
-	_printf_(true,"   Usage:\n");
-	_printf_(true,"      [ret]=Kml2Exp(filexp,filkml,sgn,'param name',param,...);\n");
-	_printf_(true,"\n");
-	_printf_(true,"      filkml      file name of kml file to be read (char)\n");
-	_printf_(true,"      filexp      file name of exp file to be written (char)\n");
-	_printf_(true,"      sgn         sign for hemisphere (double, +1 (north) or -1 (south))\n");
-	_printf_(true,"\n");
-	_printf_(true,"      central_meridian     central meridian (double, optional, but must specify with sp)\n");
-	_printf_(true,"      standard_parallel    standard parallel (double, optional, but must specify with cm)\n");
-	_printf_(true,"\n");
-	_printf_(true,"      ret         return code (non-zero for warning)\n");
-	_printf_(true,"\n");
-	_printf_(true,"   Examples:\n");
-	_printf_(true,"      [ret]=Kml2Exp('file.kml','file.exp', 1);\n");
-	_printf_(true,"      [ret]=Kml2Exp('file.kml','file.exp', 1,'central_meridian',45,'standard_parallel',70);\n");
-	_printf_(true,"      [ret]=Kml2Exp('file.kml','file.exp',-1,'central_meridian', 0,'standard_parallel',71);\n");
-	_printf_(true,"\n");
+	_pprintLine_("Kml2Exp - kml to exp file conversion module:");
+	_pprintLine_("");
+	_pprintLine_("   This module converts a file from kml to exp format.");
+	_pprintLine_("");
+	_pprintLine_("   Usage:");
+	_pprintLine_("      [ret]=Kml2Exp(filexp,filkml,sgn,'param name',param,...);");
+	_pprintLine_("");
+	_pprintLine_("      filkml      file name of kml file to be read (char)");
+	_pprintLine_("      filexp      file name of exp file to be written (char)");
+	_pprintLine_("      sgn         sign for hemisphere (double, +1 (north) or -1 (south))");
+	_pprintLine_("");
+	_pprintLine_("      central_meridian     central meridian (double, optional, but must specify with sp)");
+	_pprintLine_("      standard_parallel    standard parallel (double, optional, but must specify with cm)");
+	_pprintLine_("");
+	_pprintLine_("      ret         return code (non-zero for warning)");
+	_pprintLine_("");
+	_pprintLine_("   Examples:");
+	_pprintLine_("      [ret]=Kml2Exp('file.kml','file.exp', 1);");
+	_pprintLine_("      [ret]=Kml2Exp('file.kml','file.exp', 1,'central_meridian',45,'standard_parallel',70);");
+	_pprintLine_("      [ret]=Kml2Exp('file.kml','file.exp',-1,'central_meridian', 0,'standard_parallel',71);");
+	_pprintLine_("");
 }
 
